<cfcomponent>
	<cfset variables.instance = structNew() />
	
	<cffunction name="init" returntype="AbstractParentObject" output="false" access="public" hint="I perform initialization functions for this component">
		<cfargument name="label" type="string" required="true"/>
		<cfargument name="number" type="numeric" required="true"/>
		
		<cfset variables.instance.label  = arguments.label />
		<cfset variables.instance.number = arguments.number />
		
		<cfreturn this />
	</cffunction>

	<cffunction name="getCreditCard" access="public" output="false" returntype="string">
		<cfreturn variables.instance.CreditCard />
	</cffunction>
	
	<cffunction name="setCreditCard" access="public" output="false" returntype="void">
		<cfargument name="CreditCard" type="string" required="true" />
		<cfset variables.instance.CreditCard = arguments.CreditCard />
	</cffunction>
	
	<cffunction name="getHangGlidingPreference" access="public" output="false" returntype="string">
		<cfreturn variables.instance.HangGlidingPreference />
	</cffunction>
	
	<cffunction name="setHangGlidingPreference" access="public" output="false" returntype="void">
		<cfargument name="HangGlidingPreference" type="string" required="true" />
		<cfset variables.instance.HangGlidingPreference = arguments.HangGlidingPreference />
	</cffunction>

	<cffunction name="getMemento" output="false" access="public" returntype="struct" hint="">
		<cfreturn variables.instance />	
	</cffunction>

</cfcomponent>