<cfset localBeanFactory = createObject("component","coldspring.beans.DefaultXmlBeanFactory").init(structNew())/>   
<cfset localBeanFactory.loadBeansFromXmlFile("#expandPath('.')#\ParentalAdvisoryConcrete.xml", true)/>   

<cfinclude template="template/header.cfm" />

<cfset rightOn = localBeanFactory.getBean("ILoveHangGliding") />
<cfset youSuck = localBeanFactory.getBean("IHateHangGliding") />

<h2>Using Other Definitions - Part 1</h2>
<h3>Code</h3>
<pre>
	<cfoutput>#HTMLEditFormat('<bean id="ILoveHangGliding" class="FunWithColdSpring.ParentedNestedConfigObject" parent="ANestedConfiguredObject">
		<property name="HangGlidingPreference"><value>true</value></property>
	</bean>
	<bean id="IHateHangGliding" class="FunWithColdSpring.ParentedNestedConfigObject" parent="ANestedConfiguredObject">
		<property name="HangGlidingPreference"><value>false</value></property>
	</bean>

		')#</cfoutput>
</pre>


<h3>Results</h3>
<cfdump var="#rightOn.getHangGlidingPreference()#">
<cfdump var="#rightOn.getNestedConfig()#">
<cfdump var="#youSuck.getHangGlidingPreference()#">
<cfdump var="#youSuck.getNestedConfig()#">

<cfinclude template="template/footer.cfm" />