<cfset dProp= structNew() />
<cfset dProp.exampleTitle ="This title originates OUTSIDE the coldspring file" /> 
<cfset dProp.exampleProperty = "One More For Good Measure"  />
<cfset localBeanFactory = createObject("component","coldspring.beans.DefaultXmlBeanFactory").init(structNew(), dProp)/>   
<cfset localBeanFactory.loadBeansFromXmlFile("#expandPath('.')#\DynamicValues.xml", true)/>   
<cfinclude template="template/header.cfm" />

<cfset obj = localBeanFactory.getBean("aConfigArray") />
<h2>Adding Values To Coldspring from External Sources</h2>
<h3>Code</h3>
<pre>
	<cfoutput>#HTMLEditFormat('<bean id="aConfigArray" class="coldspring.beans.factory.config.ListFactoryBean">
		<property name="SourceList">
			<list>
				<value>mm/dd/yyyy</value>
				<value>excel,image,html,pdf,print</value>
				<value>html</value>
				<value>${exampleTitle}</value>
				<value>${exampleProperty}</value>
			</list>
		</property>
	</bean>
		')#</cfoutput>
</pre>
<pre>
	<cfoutput>#HTMLEditFormat('<cfset dProp= structNew() />
	<cfset dProp.exampleTitle ="This title originates OUTSIDE the coldspring file" /> 
	<cfset dProp.exampleProperty = "One More For Good Measure"  />
	<cfset application.beanFactory = createObject("component","coldspring.beans.DefaultXmlBeanFactory").init(structNew(), dProp)/>   
		')#</cfoutput>
</pre>



<h3>Results</h3>
<cfdump var="#obj#">

<cfinclude template="template/footer.cfm" />