<cfinclude template="template/header.cfm" />

<cfset obj = application.coldspring.getBean("ANestedConfiguredObject") />
<h2>Configuring An Object</h2>
<h3>Code</h3>
<pre>
	<cfoutput>#HTMLEditFormat('<bean id="ANestedConfiguredObject" class="FunWithColdSpring.NestedConfigObject">
		<constructor-arg name="label"><value>The Label Of the Object</value></constructor-arg>
		<constructor-arg name="someStruct"><ref bean="aConfigStruct" /></constructor-arg>
		<property name="someArray"><ref bean="aConfigArray" /></property>
		<property name="nestedConfig">
			<map>
				<entry key="aString"><value>StringValue</value></entry>
				<entry key="ArrayOfStuff">
					<list>
						<value>Apple</value>
						<value>Orange</value>
						<value>Pear</value>
						<value>Mango</value>
						<value>Lime</value>
						<map>
							<entry key="AnObject"><ref bean="SimpleObject" /></entry>
							<entry key="AnObjectArray">
								<list>
									<ref bean="SimpleObject" />
									<ref bean="AConfiguredObject" />
									<list>
										<value>More Strings</value>
										<value>Even More Strings</value>
									</list>
								</list>
							</entry>	
						</map>
					</list>
				</entry>
			</map>
		</property>
	</bean>
		')#</cfoutput>
</pre>
<h3>Results</h3>
<cfdump var="#obj.getMemento()#">

<cfinclude template="template/footer.cfm" />